aboutsummaryrefslogtreecommitdiffstats
path: root/modules/blog/templates
diff options
context:
space:
mode:
Diffstat (limited to 'modules/blog/templates')
-rwxr-xr-xmodules/blog/templates/check_new-blog-post.sh7
1 files changed, 5 insertions, 2 deletions
diff --git a/modules/blog/templates/check_new-blog-post.sh b/modules/blog/templates/check_new-blog-post.sh
index 288b4373..c3183375 100755
--- a/modules/blog/templates/check_new-blog-post.sh
+++ b/modules/blog/templates/check_new-blog-post.sh
@@ -1,9 +1,12 @@
#!/bin/sh
# Initialization
-PATH_TO_FILE="/var/lib/blog"
+PATH_TO_FILE=${PATH_TO_FILE:-/var/lib/blog}
/usr/bin/wget -qO $PATH_TO_FILE"/RSS_new" http://blog.mageia.org/?feed=rss2
-
+if [ -n $? ]
+then
+ exit 2
+fi
# Check if RSS_old exists
if [ ! -f $PATH_TO_FILE"/RSS_old" ]
then